------------------------------------------------------------------------
r306 | pericles | 2009-12-21 19:00:41 +0000 (Mon, 21 Dec 2009) | 2 lines
Changed paths:
   A /tags/v5.63 (from /trunk:305)

ShockAndAwe: -
Release v5.63 to curse.com
------------------------------------------------------------------------
r305 | pericles | 2009-12-21 14:37:59 +0000 (Mon, 21 Dec 2009) | 5 lines
Changed paths:
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
Dry coded changes needs testing.
Version 5.63
	Make priority for refreshing Magma totem no longer reliant on showing Fire totem bar

------------------------------------------------------------------------
r303 | pericles | 2009-12-18 14:04:12 +0000 (Fri, 18 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
missed a locale setting for Magma Totem Bar -> Fire Totem Bar
------------------------------------------------------------------------
r301 | pericles | 2009-12-18 02:48:53 +0000 (Fri, 18 Dec 2009) | 8 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Version 5.61
	Added FlameShock on Boss option
	Default prioirty options were not getting set for clean install
	Added feature to refresh Magma totem X ticks before it expires
	FS Dot bar should no longer require Shock bar to be visible
	Renamed locales that had Magma Bar to Fire Bar

------------------------------------------------------------------------
r300 | pericles | 2009-12-17 17:29:29 +0000 (Thu, 17 Dec 2009) | 2 lines
Changed paths:
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
update text in version control
------------------------------------------------------------------------
r299 | pericles | 2009-12-17 17:28:07 +0000 (Thu, 17 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Options.lua

ShockAndAwe: -
default option for new install wasn't getting set right
------------------------------------------------------------------------
r298 | pericles | 2009-12-17 00:23:17 +0000 (Thu, 17 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Priority.lua

ShockAndAwe: -
forgot to change fs to fs_boss
------------------------------------------------------------------------
r297 | pericles | 2009-12-17 00:20:12 +0000 (Thu, 17 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
Added FlameShock on Boss option.
------------------------------------------------------------------------
r295 | pericles | 2009-12-15 01:00:30 +0000 (Tue, 15 Dec 2009) | 6 lines
Changed paths:
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc
   M /trunk/Stats.lua

ShockAndAwe: -
	Added additional checks on loading options if options are empty to warn user
	Added option to output to MikScrollingBattleText if installed. This requires selecting an output frame in the warnings options section
	Refactored Fire totems to check if other fire totem is down before recommending new one.
	Force load of priority options on zoning to ensure that options aren't lost

------------------------------------------------------------------------
r294 | pericles | 2009-12-14 19:25:50 +0000 (Mon, 14 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Fixes so it actually runs without errors - needs testing of new features
------------------------------------------------------------------------
r293 | pericles | 2009-12-14 17:07:16 +0000 (Mon, 14 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/Stats.lua

ShockAndAwe: -
MSBT initial dry coded code
------------------------------------------------------------------------
r292 | pericles | 2009-12-14 11:31:26 +0000 (Mon, 14 Dec 2009) | 3 lines
Changed paths:
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	Added additional checks on loading options if options are empty to warn user

------------------------------------------------------------------------
r290 | pericles | 2009-12-14 01:29:04 +0000 (Mon, 14 Dec 2009) | 4 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	Added check if options are empty to warn user
	Reworked Maelstrom weapon bar display to hopefully fix issue with the alpha being zero after a flash

------------------------------------------------------------------------
r288 | pericles | 2009-12-13 17:33:12 +0000 (Sun, 13 Dec 2009) | 2 lines
Changed paths:
   M /trunk/todo.txt

ShockAndAwe: -
dummy change to force update.
------------------------------------------------------------------------
r286 | pericles | 2009-12-13 13:20:40 +0000 (Sun, 13 Dec 2009) | 5 lines
Changed paths:
   M /trunk/Bindings.lua
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	Fixed missing locale value when changing priorities
	Added Stormstrike debuff count on bar if showing bar text
	Added extra locale values

------------------------------------------------------------------------
r284 | pericles | 2009-12-12 14:21:49 +0000 (Sat, 12 Dec 2009) | 3 lines
Changed paths:
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	Fixed problem where default options were reset on relog

------------------------------------------------------------------------
r283 | pericles | 2009-12-12 14:08:18 +0000 (Sat, 12 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Options.lua

ShockAndAwe: -
Fix for default option being set to no longer valid option
------------------------------------------------------------------------
r281 | pericles | 2009-12-11 16:07:19 +0000 (Fri, 11 Dec 2009) | 3 lines
Changed paths:
   M /trunk/Export.lua
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
	Added support for Fire Nova bar

------------------------------------------------------------------------
r279 | pericles | 2009-12-11 15:17:17 +0000 (Fri, 11 Dec 2009) | 6 lines
Changed paths:
   M /trunk/Bindings.lua
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	Added set number display above priority box if text shown
	Fix for setting priorities not sticking between reloads
	Added default AoE priority list
	Fix for trying to scale or set width whilst moving frames

------------------------------------------------------------------------
r278 | pericles | 2009-12-08 23:43:46 +0000 (Tue, 08 Dec 2009) | 2 lines
Changed paths:
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Add extra talent check on load to counter load on demand race condition bug.
------------------------------------------------------------------------
r276 | pericles | 2009-12-08 16:16:10 +0000 (Tue, 08 Dec 2009) | 4 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
DRYCODED : 
	Added query about enabling/disabling addon based on spec when addon initialises (eg: to turn off if login in Resto spec after a DC)

------------------------------------------------------------------------
r275 | pericles | 2009-12-08 15:27:36 +0000 (Tue, 08 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
Added FE_boss option to only recommend Fire Elemental when on a boss
------------------------------------------------------------------------
r273 | pericles | 2009-12-08 13:47:38 +0000 (Tue, 08 Dec 2009) | 5 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
	Added export support for necrotic touch (Black Bruise's proc) and mixology if you are an alchemist
	Fix for altering bar width causing crash
	Add dual spec support - now asks if you want to enable/disable addon on switching specs.

------------------------------------------------------------------------
r272 | pericles | 2009-12-08 12:52:37 +0000 (Tue, 08 Dec 2009) | 2 lines
Changed paths:
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
dry coded changes to query user on spec changed
------------------------------------------------------------------------
r271 | pericles | 2009-12-07 13:46:09 +0000 (Mon, 07 Dec 2009) | 3 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Fix for altering bar width causing crash
Couple of extra phrases localised
------------------------------------------------------------------------
r270 | pericles | 2009-12-06 15:48:08 +0000 (Sun, 06 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Export.lua
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
dry coded changes for exporting alchemy and necrotic touch procs
------------------------------------------------------------------------
r268 | pericles | 2009-12-05 17:43:09 +0000 (Sat, 05 Dec 2009) | 4 lines
Changed paths:
   M /trunk/Bindings.lua
   M /trunk/Bindings.xml
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	You can now set up to five different priority sets for use in different circumstances
	Added five possible key bindings for selecting five possible priority groups

------------------------------------------------------------------------
r266 | pericles | 2009-12-04 00:28:21 +0000 (Fri, 04 Dec 2009) | 3 lines
Changed paths:
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
	Shield bar now changes colour when shield orbs reach the minimum user selected level

------------------------------------------------------------------------
r265 | pericles | 2009-12-04 00:10:57 +0000 (Fri, 04 Dec 2009) | 4 lines
Changed paths:
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
Added support for booming echoes reducing shock durations
Altered default priorities for patch 3.3
priorities now no longer default to 3.3 priorities if still running on patch 3.2
------------------------------------------------------------------------
r263 | pericles | 2009-12-01 17:26:38 +0000 (Tue, 01 Dec 2009) | 4 lines
Changed paths:
   M /trunk/Locales/Locale-esES.lua
   M /trunk/Locales/Locale-esMX.lua
   M /trunk/Locales/Locale-frFR.lua
   M /trunk/Locales/Locale-koKR.lua
   M /trunk/Locales/Locale-ruRU.lua
   M /trunk/Locales/Locale-zhCN.lua
   M /trunk/Locales/Locale-zhTW.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	Force all non English localisations to use English phrases if no localisation has been added to the site 
	at http://wow.curseforge.com/addons/shockandawe/localization/ for that phrase

------------------------------------------------------------------------
r262 | pericles | 2009-12-01 17:22:15 +0000 (Tue, 01 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-deDE.lua

ShockAndAwe: -
Try new localisation for German
------------------------------------------------------------------------
r260 | pericles | 2009-12-01 16:37:25 +0000 (Tue, 01 Dec 2009) | 2 lines
Changed paths:
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
Force update to curse.com
------------------------------------------------------------------------
r258 | pericles | 2009-12-01 10:04:14 +0000 (Tue, 01 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
Fixed Typo in Stormstrike if no Debuff
------------------------------------------------------------------------
r256 | pericles | 2009-12-01 09:57:02 +0000 (Tue, 01 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Fixes for multiple missing locale values
------------------------------------------------------------------------
r255 | pericles | 2009-11-29 15:17:42 +0000 (Sun, 29 Nov 2009) | 3 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
Locale change updates
Added 86 localisations on Curseforge.com
------------------------------------------------------------------------
r253 | pericles | 2009-11-28 17:20:59 +0000 (Sat, 28 Nov 2009) | 12 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   A /trunk/Locales/Locale-esMX.lua
   A /trunk/Locales/Locale-koKR.lua
   A /trunk/Locales/Locale-zhCN.lua
   M /trunk/Locales/Locales.xml
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Version 5.20
	Fixed Russian Localisation
	Added extra localisations from Curseforge localisation setup
	Changed all localisations to use Curseforge.com automated localisations
	Added feature to hide spells from the priority list that the target is immune to
	Added option to turn hide immunity on and off
	Added SS_0 option to use SS if no debuff on target
	Added FS_Boss option to only use Feral Spirits on Boss
	Added priority frame scaling
	Fixed bar scaling

------------------------------------------------------------------------
r252 | pericles | 2009-11-22 01:06:54 +0000 (Sun, 22 Nov 2009) | 4 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Options.lua
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
	Added feature to hide spells from the priority list that the target is immune to
	Added option to turn hide immunity on and off

------------------------------------------------------------------------
r251 | pericles | 2009-11-22 00:50:15 +0000 (Sun, 22 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-deDE.lua
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Locales/Locale-esES.lua
   M /trunk/Locales/Locale-frFR.lua
   M /trunk/Locales/Locale-zhTW.lua

ShockAndAwe: -
Change the other locale files to use automated SourceForge localisations
------------------------------------------------------------------------
r250 | pericles | 2009-11-21 20:06:00 +0000 (Sat, 21 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-enUS.lua
   M /trunk/Locales/Locale-ruRU.lua

ShockAndAwe: -
Update Russian Localisation to use automated localisation from Curseforge.com
------------------------------------------------------------------------
r249 | pericles | 2009-11-21 19:56:13 +0000 (Sat, 21 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Locales/Locale-ruRU.lua

ShockAndAwe: -
Updated Russian Localisation
------------------------------------------------------------------------
r247 | pericles | 2009-11-20 15:58:37 +0000 (Fri, 20 Nov 2009) | 3 lines
Changed paths:
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Fix for feral spirit icon sometimes remaining visible outside combat

------------------------------------------------------------------------
r246 | pericles | 2009-11-20 15:51:59 +0000 (Fri, 20 Nov 2009) | 2 lines
Changed paths:
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
added testing thanks msg.
------------------------------------------------------------------------
r245 | pericles | 2009-11-20 15:49:55 +0000 (Fri, 20 Nov 2009) | 3 lines
Changed paths:
   M /trunk/Export.lua

ShockAndAwe: -
	Fixed export of Feral Spirits glyph not showing in EnhSim Export

------------------------------------------------------------------------
r244 | pericles | 2009-11-20 15:49:38 +0000 (Fri, 20 Nov 2009) | 3 lines
Changed paths:
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
	Fixed export of Feral Spirits glyph not showing in EnhSim Export

------------------------------------------------------------------------
r243 | pericles | 2009-11-20 15:45:53 +0000 (Fri, 20 Nov 2009) | 2 lines
Changed paths:
   M /trunk/Priority.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Added checks for if fire totem dies early then it will remove totem bar
------------------------------------------------------------------------
r242 | pericles | 2009-11-20 14:33:27 +0000 (Fri, 20 Nov 2009) | 3 lines
Changed paths:
   M /trunk/Options.lua
   M /trunk/ShockAndAwe.lua

ShockAndAwe: -
Changed default priorities
Upped default SR mana regen warning to 10%
------------------------------------------------------------------------
r241 | pericles | 2009-11-19 23:36:00 +0000 (Thu, 19 Nov 2009) | 2 lines
Changed paths:
   M /trunk/ShockAndAwe.toc

ShockAndAwe: -
update toc to patch 3.3
------------------------------------------------------------------------
